#include "mbed.h"
 
BusOut prikaz1(dp26,dp25,dp24,dp23);
BusOut prikaz2(dp28,dp6,dp5,dp27);
 
DigitalOut enable(dp14);
InterruptIn taster(dp1);

Timer debounce;

const float T(2);
int brojac1(0);
int brojac2(0);

void f1(){
   if(debounce.read_ms()>200){
        brojac2=(brojac2+1)%16;
        prikaz2=brojac2;
   }
   debounce.reset();
}

Ticker ticker;

void prikaz(){
   brojac1=(brojac1+1)%16;
   prikaz1=brojac1;
}
 
int main()
{
    enable=0;
    prikaz1=brojac1;
    prikaz2=brojac2;
    debounce.start();
    taster.rise(&f1);
    ticker.attach(&prikaz,T);
    while(1) {
        
    }
}